package main

import (
	"context"
	"fmt"

	"git.csclub.uwaterloo.ca/joss/goread/db"

	_ "github.com/mattn/go-sqlite3"
)

const (
	CatalogueDBFile       = "/users/libcom/catalogue.db"
	BookTableName         = "books"
	BookCategoryTableName = "book_categories"
	CategoryTableName     = "categories"

	CheckoutDBFile    = "/users/libcom/checkout/checkout.db"
	CheckoutTableName = "checked_out"
	ReturnedTableName = "returned"
)

func main() {
	catalogue, err := db.OpenCatalogue("catalogue.db")
	if err != nil {
		panic(err)
	}

	books, err := catalogue.GetAllBooks(context.Background())
	if err != nil {
		panic(err)
	}

	for _, b := range books {
		fmt.Printf("%#v\n", b)
	}
}
