CREATE TABLE IF NOT EXISTS books (
		id INTEGER PRIMARY KEY ASC AUTOINCREMENT,
		isbn INTEGER NOT NULL,
		lccn INTEGER DEFAULT NULL,
		title TEXT NOT NULL,
		subtitle TEXT DEFAULT NULL,
		authours TEXT NOT NULL,
		variant TEXT DEFAULT NULL,
		publisher TEXT NOT NULL,
		publish_year INTEGER NOT NULL,
		publish_month INTEGER NOT NULL,
		publish_location TEXT DEFAULT NULL,
		pages INTEGER NOT NULL,
		pagination TEXT DEFAULT NULL,
		bookweight TEXT DEFAULT NULL,
		last_updated TEXT NOT NULL DEFAULT (datetime()),
		deleted INTEGER NOT NULL DEFAULT 0,
		deleted_at TEXT DEFAULT NULL,
		deleted_reason TEXT DEFAULT NULL,
		donated_by TEXT NOT NULL,

	CHECK ((log10(isbn) >= 9 AND log10(isbn) <= 10) OR (log10(isbn) >= 12 AND log10(isbn) <= 13))
	CHECK (length(title) > 0)
	CHECK (publsh_year <= strftime('%Y') AND publish_year >= 0)
	CHECK (publish_month >= 1 AND publish_month <= 12)
	CHECK (pages > 0)
	CHECK (bookweight is NULL OR bookweight > 0)
);
